curl --request GET \
--url 'https://doc-api.oppiwallet.com/api/v1/transaction/03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6?transactionType=1' \
--header 'signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--header 'Content-Type: application/json'
const axios = require('axios');
let config = {
method: 'get',
maxBodyLength: Infinity,
url: 'https://doc-api.oppiwallet.com/api/v1/transaction/03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6?transactionType=1',
headers: {
'signatureToken': 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...',
'Content-Type': 'application/json'
}
};
axios.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
import requests
transaction_id = "03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6"
url = f"https://doc-api.oppiwallet.com/api/v1/transaction/{transaction_id}"
headers = {
"signatureToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"Content-Type": "application/json"
}
params = {
"transactionType": 1
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://doc-api.oppiwallet.com/api/v1/transaction/03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6?transactionType=1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("signatureToken", "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init();
$transactionId = "03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6";
$transactionType = 1;
curl_setopt_array($curl, [
CURLOPT_URL => "https://doc-api.oppiwallet.com/api/v1/transaction/{$transactionId}?transactionType={$transactionType}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"signatureToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
{
"transactionId": "03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6",
"receiverAddress": "0xAB710B08A....E02421Ff9Ef231Ee212",
"depositAddress": "0xd5350F580....2bC925a07091b443732",
"orderId": "ORDER_1",
"tag": "",
"currency": "ETH",
"amount": "0.01",
"callbackStatus": 0,
"createdAt": "2024-05-09T06:05:20.087Z",
"status": 0
}
{
"message": "Hata mesajı"
}
{
"message": "İşlem bulunamadı"
}
Uç Noktalar
İşlem
Bu API, belirli bir işlemin detaylarını almak için kullanılır.
GET
/
v1
/
transaction
/
{transactionId}
Kimlik Doğrulama
string
gerekli
API kimlik doğrulaması için bir JWT token gereklidir.
Boş bir dize kullanarak JWT Token Oluşturma bölümünde açıklandığı gibi bir JWT token oluşturun.
Başlıklar (Headers)
string
gerekli
application/json olarak ayarlanmalıdır.Yol Parametreleri (Path Parameters)
string
gerekli
Almak istediğiniz işlemin benzersiz tanımlayıcısı.
Sorgu Parametreleri (Query Parameters)
number
gerekli
İşlem türü: 1 yatırma işlemi için, 2 çekim işlemi için.
İstek
Bu uç nokta için bir istek gövdesi gerekli değildir.Yanıt
İstenen işlemin detaylarını döndürür.string
gerekli
İşlem için benzersiz bir tanımlayıcı.
string
gerekli
Fonların gönderildiği adres.
string
gerekli
Fonların yatırıldığı adres.
string
gerekli
İşlem için sipariş kimliği referansı.
string
İşlemle ilişkilendirilmiş etiket, varsa.
string
gerekli
İşlemde kullanılan kripto para birimi.
string
gerekli
İşlem miktarı.
number
gerekli
Geri çağırma durumu.
string
gerekli
İşlemin oluşturulduğu zaman damgası.
number
gerekli
İşlemin durumu. 0=Beklemede, 1=Tamamlandı, 2=Başarısız
{
"transactionId": "03ea5d69-9ebf-4bfc-9b77-3aec6a6784d6",
"receiverAddress": "0xAB710B08A....E02421Ff9Ef231Ee212",
"depositAddress": "0xd5350F580....2bC925a07091b443732",
"orderId": "ORDER_1",
"tag": "",
"currency": "ETH",
"amount": "0.01",
"callbackStatus": 0,
"createdAt": "2024-05-09T06:05:20.087Z",
"status": 0
}
{
"message": "Hata mesajı"
}
{
"message": "İşlem bulunamadı"
}
⌘I